#define MACROLINES 20
#define MACROCOLS  70
#define MACROBUFFERSIZE 20		/* size of macro editor buffer in kb */

#define MACRO_OPEN    0x1		/* set if macro editor is displayed */
#define MACRO_PROC    0x2		/* a proc has been read into the editor */

#define MACRO_SUFFIX	".mac"		/* suffix for macro files */

/******************************************************************************
 *
 * 			external declarations 
 *
 *****************************************************************************/

extern Boolean exInitMacro(/* w */);
extern Boolean macroSetExists(/* macroSet */);
extern Boolean macroSetIsLoaded(/* macroSet */);
extern char *findFirstMacro(/* macroSet */);
extern char *getMacroSetName(/* macroSet */);
extern char *getNextMacroSet(/* macroSet */);
extern char *makeMacroDirPath(/* macroSet */);
extern char *selectDisplayedMacros(/* w */);
extern char *selectMacro(/* w, macroSet, multiple */);
extern char *selectMacroSet(/* w */);
extern hideMacroSet(/* macroSet */);
extern int loadMacroText(/* macro, buffer */);
extern int removeMacroSet(/* macroSet */);
extern loadMacroSet(/* menubar, macroSet */);
extern loadMacroTables();
extern removeMacroFile(/* w, file */);
extern storeMacro(/* w, macroSet, macro, txt */);
