#define FK_SETCHANGED   0x1
#define FK_MAPPED       0x2
#define FK_NEWSET	0x4
#define FK_NEWKEY	0x8
#define FK_CONNECT      0x10

#define FKMENUS 	"fk.menu"

struct FKEditor {
  Widget fked_shell;		/* fkm editor top-level shell */
  Widget fked_window;		/* top-level widget */
  exMenubar *menubar;		/* menu bar for system menus */
  Widget name_form;		/* form widget for name entry */
  Widget msgwin;		/* message area */
  exEntry *nameEntry;		/* name entry */
  Editor fked_body;		/* editor for key body */
  struct FunctionKey *currentFK[FK_MAXKEYS], *currentKey;
  int currentFKcnt;
  char name_buf[20];		/* buffer for name entry */
  char *currentFile;		/* current file name */
  int flags;
};
